<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/templateeditor/class/view/pluginsitetemplatesetslistview.class.php" );

	/**
	 * shows a form with the current configuration
	 */
	class PluginSiteTemplateSetsListAction extends AdminAction
	{
		
		function PluginSiteTemplateSetsListAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requireAdminPermission( "edit_global_templates" );			
		}
		
		function perform()
		{
            $this->_view = new PluginSiteTemplateSetsListView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>